- entityDefinitions:
  - IDI_Task_CustomReportDefinition_View:    '{aa9cb2d5-2636-4bfe-91a1-476362fb8a12}'
  - IDE_CustomReportDefinition_View:        '{fa7cc4b8-9fd5-418e-8599-be0ca8143572}'

  - IDE_CustomReportDefinition_View_Start: '{13754cdb-53d1-4280-9f65-38edb821452e}'
  - IDM_CustomReportDefinition_View_Start:  '{411f9b4b-5461-41c7-bd91-5e7cce525a0d}'

  - IDMB_CustomReportDefinition_View: '{6b775774-ee8c-4a5d-a55d-fabfb2e2995a}'
  - IDM_CustomReportDefinition_View: '{d80b7843-5670-4ad1-9baa-10966ee0b957}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - sequenceTask: '&IDI_Task_CustomReportDefinition_View;'
    name: 'View Custom Report Definition'
    initiatingElement: '&IDE_CustomReportDefinition_View_Start;'
    taskCategory: '&IDI_TaskCategory_CustomReportDefinition;'
    
  - controlTransactionMethod: '&IDM_CustomReportDefinition_View_Start;'
    forClassId: '&IDC_CustomReportDefinition;'
    verb: ''
    name: 'Custom Report Definition View Start'
    buildsResponseWithBRMB: '&IDMB_CustomReportDefinition_View;'

  - element: '&IDE_CustomReportDefinition_View_Start;'
    name: 'View Custom Report Definition Start'
    processedByCTMethod: '&IDM_CustomReportDefinition_View_Start;'
    elementContents:
    - globalIdentifier: '{2737a048-a5d5-4369-95a0-a1739674220a}'
      defaultDataType: '&IDE_CustomReportDefinition_Select;'
      displayOptions:
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'

  - element: '&IDE_CustomReportDefinition_View;'
    name: 'View Custom Report Definition'
    elementContents:
    - globalIdentifier: '{1ab0bd09-0d88-40c7-84c6-00e3d98f4e35}'
      defaultDataType: '&IDC_CustomReportDefinition;'
      label: 'Custom Report Definition'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
      - instance: '&IDI_DisplayOption_DoNotShow;'
    - globalIdentifier: '{7ecc0cc5-362a-4bb4-894a-f44368ee46ef}'
      defaultDataType: '&IDE_CustomReportDefinition_Definition;'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
    - globalIdentifier: '{7868e577-1933-4979-8a0b-21b0096dff93}'
      defaultDataType: '&IDE_CustomReportDefinition_TabsSubedit;'
      layout: '{1e86a47a-45e3-488b-a979-b4db2d2cc7f0}'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'

  - buildUIResponseMethod: '&IDM_CustomReportDefinition_View;'
    usesExecutableReturningElement: '&IDE_CustomReportDefinition_View;'

  - buildResponseMethodBinding: '&IDMB_CustomReportDefinition_View;'
    executesMethod: '&IDM_CustomReportDefinition_View;'
